Subject: Re: [PATCH] gitk: Use git-difftool for external diffs

From: Junio C Hamano <[email-masked]>
Date: Thu, 19 Nov 2009 23:53:37 -0800

Paul Mackerras <[email-masked]> writes:

> I have no problem with using git difftool if the underlying git is new
> enough, I just don't want gitk to explode when it isn't.

I somehow doubt there are many users who use pre 1.6.3 git but keep their
gitk separately updated to very recent version, so personally I wouldn't
worry too much about this.

> Also, I don't think we should remove the ability for the user to
> choose which external diff tool to use.

This is a larger concern.  Does "difftool" allow use of an arbitrary tool
like how gitk does (I have a suspicion that it is not as flexible)?